Package org.drinkless.tdlib

# Class TdApi.GetStoryInteractions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.StoryInteractions>
org.drinkless.tdlib.TdApi.GetStoryInteractions

Enclosing class:
  `TdApi`

public static class TdApi.GetStoryInteractions extends TdApi.Function<TdApi.StoryInteractions>
Returns interactions with a story. The method can be called only for stories posted on behalf of the current user.

Returns `StoryInteractions`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `limit`
  The maximum number of story interactions to return.
  `String`
  `offset`
  Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
  `boolean`
  `onlyContacts`
  Pass true to get only interactions by contacts; pass false to get all relevant interactions.
  `boolean`
  `preferForwards`
  Pass true to get forwards and reposts first, then reactions, then other views; pass false to get interactions sorted just by interaction date.
  `boolean`
  `preferWithReaction`
  Pass true to get interactions with reaction first; pass false to get interactions sorted just by interaction date.
  `String`
  `query`
  Query to search for in names, usernames and titles; may be empty to get all relevant interactions.
  `int`
  `storyId`
  Story identifier.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStoryInteractions()`
  Default constructor for a function, which returns interactions with a story.
  `GetStoryInteractions(int storyId, String query, boolean onlyContacts, boolean preferForwards, boolean preferWithReaction, String offset, int limit)`
  Creates a function, which returns interactions with a story.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyId

    public int storyId
    Story identifier.

  - ### query

    public String query
    Query to search for in names, usernames and titles; may be empty to get all relevant interactions.

  - ### onlyContacts

    public boolean onlyContacts
    Pass true to get only interactions by contacts; pass false to get all relevant interactions.

  - ### preferForwards

    public boolean preferForwards
    Pass true to get forwards and reposts first, then reactions, then other views; pass false to get interactions sorted just by interaction date.

  - ### preferWithReaction

    public boolean preferWithReaction
    Pass true to get interactions with reaction first; pass false to get interactions sorted just by interaction date. Ignored if preferForwards == true.

  - ### offset

    public String offset
    Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.

  - ### limit

    public int limit
    The maximum number of story interactions to return.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetStoryInteractions

    public GetStoryInteractions()
    Default constructor for a function, which returns interactions with a story. The method can be called only for stories posted on behalf of the current user.

    Returns `StoryInteractions`

  - ### GetStoryInteractions

    public GetStoryInteractions(int storyId, String query, boolean onlyContacts, boolean preferForwards, boolean preferWithReaction, String offset, int limit)
    Creates a function, which returns interactions with a story. The method can be called only for stories posted on behalf of the current user.

    Returns `StoryInteractions`

    Parameters:
      `storyId` - Story identifier.
      `query` - Query to search for in names, usernames and titles; may be empty to get all relevant interactions.
      `onlyContacts` - Pass true to get only interactions by contacts; pass false to get all relevant interactions.
      `preferForwards` - Pass true to get forwards and reposts first, then reactions, then other views; pass false to get interactions sorted just by interaction date.
      `preferWithReaction` - Pass true to get interactions with reaction first; pass false to get interactions sorted just by interaction date. Ignored if preferForwards == true.
      `offset` - Offset of the first entry to return as received from the previous request; use empty string to get the first chunk of results.
      `limit` - The maximum number of story interactions to return.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.StoryInteractions>`
    Returns:
      this.CONSTRUCTOR